aboutsummaryrefslogtreecommitdiff
path: root/server/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'server/test.sh')
-rwxr-xr-xserver/test.sh10
1 files changed, 10 insertions, 0 deletions
diff --git a/server/test.sh b/server/test.sh
new file mode 100755
index 0000000..8ca1d42
--- /dev/null
+++ b/server/test.sh
@@ -0,0 +1,10 @@
+#!/bin/bash
+trap "kill 0" EXIT
+go build
+./server -b :4200 -d http://localhost:4200 &
+for i in $(seq 1 9)
+do
+ sleep 0.1
+ ./server -b :420$i -d http://localhost:420$i -i http://localhost:420$((i-1)) &
+done
+wait